using System;
using System.Collections.Generic;

namespace InABox.Clients
{
    public class RemoteException : Exception
    {
        public StatusCode? Status;

        public RemoteException(IEnumerable<string> messages) : base(string.Join("\n", messages))
        {
        }

        public RemoteException(string message) : base(message)
        {
        }

        public RemoteException(string message, StatusCode statusCode) : base(message)
        {
            Status = statusCode;
        }
    }
}